NppiJpegDecodeJob Struct Reference
Compression

JPEG decode job used by nppiJpegDecodeJob (see that for more documentation) More...

`#include <nppi_compression_functions.h>`

## Data Fields

NppiJpegFrameDescr * | pFrame
| This field and its contents are never written. More...
NppiJpegScanDescr * | pScan
| This field is never written. More...
enum NppiJpegDecodeJobKind | eKind

## Detailed Description

JPEG decode job used by nppiJpegDecodeJob (see that for more documentation)

The job describes piece of computation to be done.

## Field Documentation

enum NppiJpegDecodeJobKind NppiJpegDecodeJob::eKind

NppiJpegFrameDescr* NppiJpegDecodeJob::pFrame

This field and its contents are never written.

NppiJpegScanDescr* NppiJpegDecodeJob::pScan

This field is never written.

`*pScan` is written only by ...Create... functions

The documentation for this struct was generated from the following file:

- C:/src/sw/rel/gpgpu/toolkit/r9.2/NPP/npp/include/nppi_compression_functions.h

Copyright © 2009-2017 NVIDIA Corporation